Subject: Re: [patch net-next v2 1/3] team: handle sending port list in the same way option list is sent

From: Pablo Neira Ayuso <[email-masked]>
Date: Tue, 5 Feb 2013 01:28:43 +0100

On Mon, Feb 04, 2013 at 05:28:06PM +0100, Jiri Pirko wrote:
> Mon, Feb 04, 2013 at 05:03:04PM CET, [email-masked] wrote:
> >On Sat, Feb 02, 2013 at 10:04:22AM +0100, Jiri Pirko wrote:
[...]
> >> Messages are too big to fit one GENLMSG_DEFAULT_SIZE message.
> >
> >nfnetlink_log may use bigger messages than 1 memory page to deliver
> >multicast events if configured to include the entire packet
> >(NFULNL_COPY_PACKET).
> >
> >I'd suggest to calculate the message size in run-time and allocate
> >memory you need according to that, several netfilter subsystem are
> >doing so.
> 
> I recall I had some issues with longer messages on the userspace part,
> I'm not sure what that was exactly.

Hm, it should be OK.

> I decided to do this in multipart messages and in order to do not
> break userspace I would like to continue to do so.

It was just a suggestion.

Note that fitting the message in one single skb should also simplify
the handling in case you hit ENOBUFS from user-space. But you know
better your needs for the team driver, I leave this up to you.